{
Global Conditional Definitions for Chief's UNZIP package
  By Dr Abimbola Olowofoyeku (The African Chief)
  Homepage: http://ourworld.compuserve.com/homepages/African_Chief

  TMT Pascal port by Vadim Bodrov, TMT Development Corporation
  Homepage: http://www.tmt.com
}

{.$define Debug}           {uncomment for debugging}

{$ifndef fpc}
  {$IFDEF Debug}
    {$IFNDEF __TMT__}
      {$F+,D+,Q-,L+,G+,R+,I-,S+,Y+,A+}
    {$ELSE}
      {$F+,D+,Q-,L+,R+,I-,S+,Y+,A+}
    {$ENDIF}
  {$ELSE}
    {$IFNDEF __TMT__}
      {$F+,Q-,G+,R-,S-,I-,A+}
    {$ELSE}
      {$F+,Q-,R-,S-,I-,A+}
    {$ENDIF}
  {$ENDIF}
{$endif}


{$ifdef ver70}
 {$ifdef Windows}
   {$define Win16}       {BPW 7.x}
 {$endif Windows}
{$endif ver70}

{$ifdef ver80}
   {$define Delphi}      {Delphi 1.x}
   {$define Delphi16}
   {$define Win16}
{$endif ver80}

{$ifdef ver90}
   {$define Delphi}      {Delphi 2.x}
   {$define Delphi32}
{$endif ver90}

{$ifdef ver100}
   {$define Delphi}      {Delphi 3.x}
   {$define Delphi32}
{$endif ver100}


{$ifdef ver93}
   {$define Delphi}      {C++ Builder 1.x}
   {$define Delphi32}
{$endif ver93}


{$ifdef ver110}
   {$define Delphi}      {C++ Builder 3.x}
   {$define Delphi32}
{$endif ver110}

{$ifdef VirtualPascal} {  Virtual Pascal 2.0 }
   {$define Delphi}    {  Use Delphi Syntax }
   {$define VP2}
   {&Delphi+}
   {$define Bits32}
{$endif VirtualPascal}

{$ifdef __TMT__}       { TMT Pascal 3.xx of higher }
   {$define Bits32}
   {$ifdef __WIN32__}
   {$define UseWin}
   {$define NOCRT}     // Use standard output
     {$define Win32}
     {$ifndef __CON__}
       {$define Windows}
     {$endif}
   {$endif}
{$endif}

{$ifdef Delphi}
   {$define Windows}
{$endif Delphi}

{$ifdef Win32}
  {$IFNDEF __TMT__}
  {$H-}                    { no long strings, please! }
  {$define Bits32}
  {$ENDIF}
{$else Win32}
  {$IFNDEF __TMT__}
    {$define assembler}      {use 16-bit assembler!}
  {$ENDIF}
{$endif Win32}

{$ifdef FPC}
  {$undef assembler}
{$endif FPC}

{$ifdef Windows}
  {$define UseWin}
{$endif Windows}

{$ifdef Win16}
  {$K+}   {smart callbacks}
{$endif Win16}

{$ifdef OS2}
  {$undef assembler}
  {$undef Windows}
  {$define UseWin}
{$endif OS2}

