LIBRARY UnzipDLL;
{
DLL for the UNZIP functions
  * original version by Christian Ghisler

  * extended by Dr Abimbola Olowofoyeku (The African Chief)
     Homepage: http://ourworld.compuserve.com/homepages/African_Chief
     * the main exported functions are now linked in directly
       from UNZIP.PAS

  * TMT Pascal port by Vadim Bodrov, TMT Development Corporation
     Homepage: http://www.tmt.com
}

{$I unzip.Inc}

USES unzip;

FUNCTION GetUnzipDllVersion : word;
{$ifdef Bits32}STDCALL;{$else}EXPORT;{$endif}
BEGIN
  GetUnzipDllVersion := 2 * 256 + 4;    {Version 2.04}
END;

EXPORTS
{$IFNDEF __TMT__}
  GetUnzipDllVersion   index 1{$ifdef Bits32}  name  'GetUnzipDllVersion' {$endif},
  GetFirstInZip        index 2{$ifdef Bits32}  name  'GetFirstInZip' {$endif},
  GetNextInZip         index 3{$ifdef Bits32}  name  'GetNextInZip' {$endif},
  CloseZipFile         index 4{$ifdef Bits32}  name  'CloseZipFile' {$endif},
  IsZip                index 5{$ifdef Bits32}  name  'IsZip' {$endif},
  GetSupportedMethods  index 6{$ifdef Bits32}  name  'GetSupportedMethods' {$endif},
  UnzipFile            index 7{$ifdef Bits32}  name  'UnzipFile' {$endif},

  {*** the African Chief's functions ***}
  FileUnzip            index 8{$ifdef Bits32}  name  'FileUnzip' {$endif},
  ViewZip              index 9{$ifdef Bits32}  name  'ViewZip' {$endif},
  UnzipSize            index 10{$ifdef Bits32} name  'UnzipSize' {$endif},
  SetUnzipReportProc   index 11{$ifdef Bits32} name  'SetUnzipReportProc' {$endif},
  SetUnzipQuestionProc index 12{$ifdef Bits32} name  'SetUnzipQuestionProc' {$endif},
  FileUnzipEx          index 13{$ifdef Bits32} name  'FileUnzipEx' {$endif},
  ChfUnzip_Init        index 14{$ifdef Bits32} name  'ChfUnzip_Init' {$endif},
  SetNoRecurseDirs     index 15{$ifdef Bits32} name  'SetNoRecurseDirs' {$endif};
{$ELSE}
  GetUnzipDllVersion   index 1,
  GetFirstInZip        index 2,
  GetNextInZip         index 3,
  CloseZipFile         index 4,
  IsZip                index 5,
  GetSupportedMethods  index 6,
  UnzipFile            index 7,

  {*** the African Chief's functions ***}
  FileUnzip            index 8,
  ViewZip              index 9,
  UnzipSize            index 10,
  SetUnzipReportProc   index 11,
  SetUnzipQuestionProc index 12,
  FileUnzipEx          index 13,
  ChfUnzip_Init        index 14,
  SetNoRecurseDirs     index 15;
{$ENDIF}
BEGIN
END.